#!/bin/sh
#/* Copyright (C) Perinet /*

# Check if parameter is provided
if [ -z "$1" ]; then
    echo "Usage: $0 [string]"
    exit 1
fi

# Replace forward slashes with hyphens
ROOT_CA_NAME=$(echo "$1" | sed 's/\//-/g')

PKI_PATH=/var/pki/
rm -f $PKI_PATH/PKI2go.zip
mkdir $PKI_PATH/PKI2go
cp $PKI_PATH/ca/pki2go-ecc-root-ca.crt $PKI_PATH/PKI2go/$ROOT_CA_NAME-root-ca.crt
cp $PKI_PATH/certs/${ROOT_CA_NAME}_admin_user.p12 $PKI_PATH/PKI2go/
cp "/var/www/staticfiles/PRN100397 - Starter Kit Plus Security Certificates Installation Guide-1.0.pdf" "${PKI_PATH}/PKI2go/PRN100397 - Starter Kit Plus Security Certificates Installation Guide-1.0.pdf"
cd $PKI_PATH
zip -r PKI2go.zip PKI2go/
rm -rf PKI2go/