/* Copyright (C) Perinet */
"use strict";

( function()
{
	var appEl = document.getElementsByTagName( 'head' ).item( 0 )
		|| document.documentElement;

	var cid = {
		get val()
		{
			let s = sessionStorage.getItem( 'cid' )
			if( !s )
				this.renew();

			return sessionStorage.getItem( 'cid' );
		}
		,
		renew: function()
		{
			sessionStorage.setItem( 'cid', Math.random().toString( 16 ).substr( 2, 8 ) );
		}
	};

	function loadJS( src )
	{
		var script = document.createElement( 'script' );
		script.type = "text/javascript";
		script.src = src + "?" + cid.val;
		script.async = false;
		//~ script.onload = function() {
		//~ console.log( "script " +src+" loaded" );
		//~ };
		appEl.appendChild( script );
	}

	window.loadJS = loadJS;
	window.loadreset = cid.renew;

} )();

